﻿using MadMediaManager.Core.Domain.Components;

namespace MadMediaManager.Core.Domain
{
    public abstract class Iso : Entity
    {
        public virtual string Name { get; set; }
        public virtual byte[] Image { get; set; }
        public virtual DigitalInformationUnitValue FileSize { get; set; }
        public virtual int? Year { get; set; }
        public abstract IsoType IsoType { get; set; }
        public virtual Rating Rating { get; set; }
        public virtual bool IsFileFound { get; set; }
    }
}
