﻿using System;
using MadMediaManager.Core.Interfaces.DataAccess.Repositories;

namespace MadMediaManager.Core.Interfaces.DataAccess
{
    public interface IDbContext : IDisposable
    {
        void SubmitChanges();
        void Refresh(object entity);
        ISoftwareIsoRepository SoftwareIsos { get; }
        IMovieIsoRepository MovieIsos { get; }
        ITelevisionIsoRepository TelevisionIsos { get; }
        IUnknownIsoRepository UnknownIsos { get; }
    }
}
