﻿using FluentNHibernate.Mapping;
using MadMediaManager.Core.Domain;

namespace MadMediaManager.DataAccess.Mappings
{
    public class MovieIsoMapping : SubclassMap<MovieIso>
    {
        public MovieIsoMapping()
        {
            HasMany(m => m.Genres)
                .Element("value")
                .LazyLoad()
                .Access.CamelCaseField(Prefix.Underscore)
                .Cascade.AllDeleteOrphan();
        }
    }
}
