﻿using System.Collections.Generic;

namespace MadMediaManager.Services
{
    public class DaemonToolsLiteIsoMounter : BaseIsoMounter
    {
        private const string APPLICATION_NAME = "DTLite";
        private const string ARGUMENTS_FORMAT = @"{0} {1}, ""{2}""";

        public DaemonToolsLiteIsoMounter()
            : base(ARGUMENTS_FORMAT, APPLICATION_NAME)
        {
        }

        protected override List<object> GetMountArguments()
        {
            return new List<object> { "-mount", "0" };
        }

        protected override List<object> GetUnmountArguments()
        {
            return new List<object> { "-unmount", "0" };
        }
    }
}
