﻿using MadMediaManager.WPFSupport.Interfaces.Views;

namespace MadMediaManager.WPFSupport.Events
{
    public class ViewAddedEvent
    {
        public ViewAddedEvent(ViewKey key, INavigableView view)
        {
            Key = key;
            View = view;
        }

        public ViewKey Key { get; private set; }
        public INavigableView View { get; private set;}
    }
}
