﻿using System.ComponentModel;

namespace MadMediaManager.Core.Interfaces.Services
{
    public interface IBackgroundWorkerService
    {
        IWorker WorkAsync(DoWorkEventHandler work);
        IWorker WorkAsync(DoWorkEventHandler work, ProgressChangedEventHandler progress);
        IWorker WorkAsync(DoWorkEventHandler work, ProgressChangedEventHandler progress, RunWorkerCompletedEventHandler complete);
        IWorker WorkAsync(DoWorkEventHandler work, RunWorkerCompletedEventHandler complete);
    }
}
