﻿using FluentNHibernate.Mapping;
using MadMediaManager.Core.Domain;

namespace MadMediaManager.DataAccess.Mappings
{
    public class TelevisionIsoMapping : SubclassMap<TelevisionIso>
    {
        public TelevisionIsoMapping()
        {
            Map(t => t.Season)
                .Nullable()
                .Length(50);
            Map(t => t.DiscNumber);
        }
    }
}
