﻿using System.Collections.Generic;

namespace MadMediaManager.Services
{
    public class VirtualCloneDriveIsoMounter : BaseIsoMounter
    {
        private const string APPLICATION_NAME = "VCDMount";
        private const string ARGUMENTS_FORMAT = @"{0} ""{1}""";

        public VirtualCloneDriveIsoMounter()
            : base(ARGUMENTS_FORMAT, APPLICATION_NAME)
        {
        }

        protected override List<object> GetMountArguments()
        {
            return new List<object>();
        }

        protected override List<object> GetUnmountArguments()
        {
            return new List<object> { "/u" };
        }
    }
}
