﻿using System.Windows;

namespace MadMediaManager.ViewModels.Home
{
    public class IsoTotalsListViewModel : DependencyObject
    {
        #region Dependency Properties

        public static readonly DependencyProperty TotalProperty = DependencyProperty.Register(
                "Total", typeof(int), typeof(IsoTotalsListViewModel));

        public static readonly DependencyProperty DescriptionProperty = DependencyProperty.Register(
                "Description", typeof(string), typeof(IsoTotalsListViewModel));

        #endregion

        public int Total
        {
            get { return (int) GetValue(TotalProperty); }
            set { SetValue(TotalProperty, value);}
        }

        public string Description
        {
            get { return GetValue(DescriptionProperty) as string; }
            set { SetValue(DescriptionProperty, value); }
        }
    }
}
